Bug 465911 - ipcs returns 0 when some errors occured.
ipcs returns 0 when some errors occured.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: util-linux (Show other bugs)
5.2.z
All Linux
medium Severity medium
: rc
: 5.6
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 00:17 EDT by Jinbing Guo
Modified: 2011-01-13 18:44 EST (History)
4 users (show)

See Also:
Fixed In Version: RHEL 5.6
Doc Type: Bug Fix
Doc Text:
ipcalc ipcrm ipcs [root@fair ~]# ipcs -s -i 213 ipcs: semctl failed: Invalid argument [root@fair ~]# echo $? 1
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:44:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this bug (896 bytes, patch)
2008-10-07 00:36 EDT, Jin Bing Guo
no flags Details | Diff

  None (edit)
Description Jinbing Guo 2008-10-07 00:17:37 EDT
Description of problem:

# ipcs -s -i 213
semctl : Invalid argument
# echo $?
0

Version-Release number of selected component (if applicable):
Linux gjb 2.6.18-92.el5 #1 SMP Tue Apr 29 13:16:12 EDT 2008 i686 i686 i386 GNU/Linux
util-linux-2.13-0.47.el5
Linux ovislp1 2.6.18-92.el5 #1 SMP Tue Apr 29 13:21:29 EDT 2008 ppc64 ppc64 ppc64 GNU/Linux
util-linux-2.13-0.47.el5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
return 0

Expected results:
return 1

Additional info:
Comment 1 Jin Bing Guo 2008-10-07 00:36:46 EDT
Created attachment 319613 [details]
patch for this bug
Comment 2 Jin Bing Guo 2008-10-07 00:38:27 EDT
I downloaded the util-linux-2.13-0.47.el5.src.rpm and patched it.
==============
After patching
==============
# ipcs -s -i 213
semctl : Invalid argument
# echo $?
1
Comment 4 RHEL Product and Program Management 2009-03-26 12:56:08 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 8 Chris Ward 2010-11-18 07:22:33 EST
~~ ATTN Customers & Partners - RHEL 5.6 Public Beta available on RHN ~~

A fix for this BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field
above with an appropriate value and include a summary of the testing executed
and the results obtained.

If you encounter any issues or have questions while testing, please describe
them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for
inclusion, promptly escalate the new issues through your support
representative.

Finally, FYI: future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm
the request has been properly addressed. 
See:
 https://bugzilla.redhat.com/describekeywords.cgi#OtherQA
Comment 9 Jinbing Guo 2010-11-19 01:24:20 EST
This bug was fixed in RHEL5.6 

ipcalc  ipcrm   ipcs    
[root@fair ~]# ipcs -s -i 213
ipcs: semctl failed: Invalid argument
[root@fair ~]# echo $?
1
Comment 10 Jinbing Guo 2010-11-19 01:24:20 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
ipcalc  ipcrm   ipcs    
[root@fair ~]# ipcs -s -i 213
ipcs: semctl failed: Invalid argument
[root@fair ~]# echo $?
1
Comment 13 errata-xmlrpc 2011-01-13 18:44:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0085.html

Note You need to log in before you can comment on or make changes to this bug.